<html>
      <head>
            <meta charset="utf-8">
            <title>Tip Calculator</title>
      </head>  
      <body>
           <div class='box'>
                  <h2>Tip Calculator</h2>
                  <hr/>
                  <input class='input' type='number' id='bill' placeholder="Bill Amount"/>
                  <select id='rating' class='input'>
                        <option value=0>Please Select Rating</option>
                        <option value=1>Poor</option>
                        <option value=5>Below Average</option>
                        <option value=10>Average</option>
                        <option value=15>Good</option>
                        <option value=20>Excelent</option>
                  </select>
                  <button class='btn' onclick="calculateTip()">Calculate</button>
                  <div id='display-tip'></div>
           </div>
      </body> 
</html>

<style>
h2{
      text-align: center;
      color: crimson;
}
.box {
      width: 20%;
      margin: 0 auto;
      box-shadow: 2px 3px #ccc;
      padding:15px;
}

.input {
      margin: 5px;
      padding: 5px;
      width: 100%;
      border-radius: 20px;
}

.error {
      color: red;
}

.tip {
      background: greenyellow;
      padding: 10px;
      text-align: center;
}

.btn {
      padding: 10px;
      margin: 10px;
      background: crimson;
      color: white;
}
</style>
<script>
function calculateTip() {
      var bill = document.getElementById('bill').value;
      var rating = document.getElementById('rating').value;
      document.getElementById('display-tip').innerHTML = '';
      if(Number(bill) > 0 && Number(rating) > 0){
            rating = Number(rating);
            var tip = 0;
            if(rating > 1)
                  tip = (Number(bill)/100)*rating;
            document.getElementById('display-tip').innerHTML = '<p class="tip">Tip Amount: <b>'+tip+'</b></p>';
            document.getElementById('bill').value = '';
            document.getElementById('rating').value = 0;
      }else{
            var error = '';
            if(bill == ''){
                  error+='<p class="error">Bill Amount should be grater then zero.<p>';
            }
            if(rating == 0){
                  error+='<p class="error">Please select rating.</p>';
            }
            document.getElementById('display-tip').innerHTML = error;
      }
}
</script>